Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Class ThrowableInformation

    java.lang.Object
      |
      +--org.apache.log4j.spi.ThrowableInformation

All Implemented Interfaces:
  Serializable

public class ThrowableInformation
extends Object
implements Serializable

ThrowableInformation is log4j's internal representation of throwables. It essentially consists of a string array, called 'rep', where the first element, that is rep[0], represents the string representation of the throwable (i.e. the value you get when you do throwable.toString()) and subsequent elements correspond the stack trace with the top most entry of the stack corresponding to the second entry of the 'rep' array that is rep[1].

Author:
  Ceki Gülcü
See Also:
  Serialized Form

Constructor Summary
`ThrowableInformation(Throwable throwable)`

Method Summary
`Throwable` | `getThrowable()`
`String[]` | `getThrowableStrRep()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThrowableInformation

    public ThrowableInformation(Throwable throwable)

Method Detail

### getThrowable

    public Throwable getThrowable()

### getThrowableStrRep

    public String[] getThrowableStrRep()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.14
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2005 Apache Software Foundation.